Bug 1774388 - Error in updating master machines in private cluster on GCP
Summary: Error in updating master machines in private cluster on GCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Alberto
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks: 1775730 1775786
TreeView+ depends on / blocked
 
Reported: 2019-11-20 08:49 UTC by Gaoyun Pei
Modified: 2020-05-15 15:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1775730 1775786 (view as bug list)
Environment:
Last Closed: 2020-05-15 15:10:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2709 'None' closed bug 1774388: Stop setting non existent public target pool when InternalPublishingStrategy on GCP master machines 2020-05-15 14:35:09 UTC

Comment 1 Alberto 2019-11-22 09:16:09 UTC
>Spin up a private cluster on GCP,

can you articulate what steps did you follow for that?

Comment 2 Gaoyun Pei 2019-11-22 09:42:46 UTC
(In reply to Alberto from comment #1)
> >Spin up a private cluster on GCP,
> 
> can you articulate what steps did you follow for that?

By setting "publish: Internal" in install-config.yaml

Comment 4 Gaoyun Pei 2019-11-25 09:25:54 UTC
Verify this bug on payload 4.4.0-0.nightly-2019-11-24-233817. 

After spinning up a private cluster on GCP, check the master machines, no "Target Pools" being used in machines.Spec.
And the master machines' status show correctly.

# oc get machines -n openshift-machine-api
NAME                     PHASE     TYPE            REGION        ZONE            AGE
gpei-4-v59kl-m-0         Running   n1-standard-4   us-central1   us-central1-a   28m
gpei-4-v59kl-m-1         Running   n1-standard-4   us-central1   us-central1-b   28m
gpei-4-v59kl-m-2         Running   n1-standard-4   us-central1   us-central1-c   28m
gpei-4-v59kl-w-a-pppxc   Running   n1-standard-4   us-central1   us-central1-a   22m
gpei-4-v59kl-w-b-dqdr4   Running   n1-standard-4   us-central1   us-central1-b   22m


Note You need to log in before you can comment on or make changes to this bug.